#!/bin/bash
# $Id: deploy.sh 3520 2013-02-24 17:21:58Z IMPOMEZIA $
# IMPOMEZIA Simple Chat
# Copyright (c) 2008-2013 IMPOMEZIA <schat@impomezia.com>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program. If not, see <http://www.gnu.org/licenses/>.

VERSION="0.8.6"
TARGET="SimpleChat"

set -e

cd ../..
qmake -r
make -j9
make install
cd out/release

macdeployqt $TARGET.app

DMG="dmg/$TARGET-$VERSION.dmg"

cd ../../os/macosx
test -f $DMG && rm $DMG
./create-dmg/create-dmg --window-size 500 300 --volicon schat.icns --icon-size 96 --volname "Simple Chat" --background background.png --icon "Applications" 380 205 --icon "SimpleChat" 110 205 $DMG ../../out/release/SimpleChat.app
hdiutil internet-enable -yes $DMG 

