/* $Id: MigratePrepare.h 3526 2013-02-25 21:54:09Z IMPOMEZIA $
 * IMPOMEZIA Simple Chat
 * Copyright © 2008-2013 IMPOMEZIA <schat@impomezia.com>
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MIGRATEPREPARE_H_
#define MIGRATEPREPARE_H_

#include <QWizardPage>

class Migrate;
class QLabel;
class Spinner;

class MigratePrepare : public QWizardPage
{
  Q_OBJECT

public:
  MigratePrepare(Migrate *migrate, QWidget *parent = 0);
  inline bool isComplete() const { return m_completed; }

private slots:
  void reload(int status);

private:
  bool m_completed;   ///< \b true если страница выполнила своё действие.
  Migrate *m_migrate; ///< Класс для проверки и загрузки обновления.
  QLabel *m_text;     ///< Основной текст.
  Spinner *m_spinner; ///< Спиннер.
};

#endif /* MIGRATEPREPARE_H_ */
